# Uses of Class
org.eclipse.ltk.ui.refactoring.RefactoringWizard

Packages that use RefactoringWizard
Package
Description
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.ltk.ui.refactoring.resource
Application programming interface to actions related to resource refactorings.

## Uses of RefactoringWizard in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return RefactoringWizard
Modifier and Type
Method
Description
`protected RefactoringWizard`
RefactoringWizardPage.`getRefactoringWizard()`
Returns the page's refactoring wizard.
Constructors in org.eclipse.ltk.ui.refactoring with parameters of type RefactoringWizard
Modifier
Constructor
Description
``
`RefactoringWizardOpenOperation(RefactoringWizard wizard)`
Creates a new refactoring wizard starter for the given wizard.

## Uses of RefactoringWizard in org.eclipse.ltk.ui.refactoring.resource

Subclasses of RefactoringWizard in org.eclipse.ltk.ui.refactoring.resource
Modifier and Type
Class
Description
`class`
`DeleteResourcesWizard`
A wizard for the delete resources refactoring.
`class`
`MoveResourcesWizard`
A wizard for the move resources refactoring.
`class`
`RenameResourceWizard`
A wizard for the rename resource refactoring.